> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tests



## OpenAPI

````yaml openapi-tests GET /v1/split-tests
openapi: 3.0.0
info:
  title: Tests
  description: Tests API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags: []
paths:
  /v1/split-tests:
    get:
      tags:
        - Tests
      operationId: ABTestApiController_getAllTests
      parameters: []
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  edges:
                    type: array
                    items:
                      type: object
                      properties:
                        node:
                          $ref: '#/components/schemas/ABTest'
                  pageInfo:
                    $ref: '#/components/schemas/PageInfo'
components:
  schemas:
    ABTest:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        percentOfTraffic:
          type: number
        type:
          type: string
          enum:
            - WIDGET
            - PRICE
        startDate:
          format: date-time
          type: string
        endDate:
          format: date-time
          type: string
        state:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - COMPLETED
        testPriceRuleSets:
          items:
            type: array
          type: array
      required:
        - id
        - name
        - percentOfTraffic
        - type
        - startDate
        - endDate
        - state
        - testPriceRuleSets
    PageInfo:
      type: object
      properties:
        startCursor:
          type: string
          readOnly: true
          example: cm0b57zjv00myq52xh0c590b8
        endCursor:
          type: string
          readOnly: true
          example: cm0b57zjv00myq52xh0c590b8
        hasNextPage:
          type: boolean
          readOnly: true
          example: false
        hasPreviousPage:
          type: boolean
          readOnly: true
          example: false
      required:
        - startCursor
        - endCursor
        - hasNextPage
        - hasPreviousPage

````